Skip to main content
GET
/
polymarket
/
slug
/
{slug}
Orderbook History by Slug
curl --request GET \
  --url https://api.chinolabs.com/polymarket/slug/{slug}
{
  "market_info": {
    "slug": "<string>",
    "market_id": "<string>",
    "outcomes": [
      "<string>"
    ],
    "clob_token_ids": [
      "<string>"
    ],
    "recorded_prices_outcome": "<string>",
    "recorded_token_id": "<string>",
    "subcategory": "<string>",
    "event_slug": "<string>",
    "question": "<string>",
    "start_ts": 123,
    "end_ts": 123,
    "resolved": true,
    "outcome": "<string>",
    "resolved_ts": "<string>"
  },
  "orderbook_snapshots": [
    {
      "ts": "<string>",
      "bids": [
        [
          "0.550",
          "10.00"
        ]
      ],
      "asks": [
        [
          "0.550",
          "10.00"
        ]
      ]
    }
  ]
}

Path Parameters

slug
string
required

Market slug from the Polymarket URL.

Response

Market bundle with metadata and orderbook snapshots

market_info
object
required
orderbook_snapshots
object[]
required